Get all Listings
https://api.propexo.com/crm/v1/listings/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe CRM system of record
The Propexo unique identifier for the community
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the listing
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the community from the integration vendor
The date that the listing becomes available
The number of bathrooms associated with the listing
The number of full bathrooms associated with the listing
The number of half bathrooms associated with the listing
The number of bedrooms associated with the listing
The building name associated with the listing
The city associated with the listing
custom_data object | nullrequired
The floor number/name associated with the listing
Whether the listing is furnished
Whether the listing is listed
Notes associated with the listing
The unit number
Description of the property
The date the listing was published
The rent amount in cents for the listing
100000The square footage of the listing
The state associated with the listing
The raw status associated with the listing
The first address line associated with the listing
The second address line associated with the listing
The title associated with the listing
The application url associated with the listing
The zip code associated with the listing
The Propexo unique identifier for the community
The Propexo unique identifier for the integration
The CRM system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/crm/v1/listings/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_community_id": "string",
"available_date": "string",
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"bedrooms": "string",
"building_name": "string",
"city": "string",
"custom_data": "Unknown Type: object,null",
"floor": "string",
"image_urls_array": "Unknown Type: array,null",
"is_furnished": true,
"is_listed": true,
"notes": "string",
"number": "string",
"property_description": "string",
"publish_date": "string",
"rent_amount_in_cents": 100000,
"square_feet": 0,
"state": "string",
"status_raw": "string",
"street_address_1": "string",
"street_address_2": "string",
"title": "string",
"url": "string",
"video_urls": "Unknown Type: array,null",
"zip": "string",
"community_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO"
}
]
}